Update dataset review item
curl --request PATCH \
--url https://api.eigenpal.com/v1/automations/{id}/dataset-review-requests/{reviewId}/items/{itemId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedUpdatedAt": "<string>",
"expected": "<unknown>",
"comment": "<string>",
"fieldPath": "<string>"
}
'import requests
url = "https://api.eigenpal.com/v1/automations/{id}/dataset-review-requests/{reviewId}/items/{itemId}"
payload = {
"expectedUpdatedAt": "<string>",
"expected": "<unknown>",
"comment": "<string>",
"fieldPath": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expectedUpdatedAt: '<string>',
expected: '<unknown>',
comment: '<string>',
fieldPath: '<string>'
})
};
fetch('https://api.eigenpal.com/v1/automations/{id}/dataset-review-requests/{reviewId}/items/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"item": {
"id": "<string>",
"reviewId": "<string>",
"exampleName": "<string>",
"snapshotInputJson": {},
"snapshotExpectedJson": null,
"snapshotManifest": {
"expectedFiles": [
{
"name": "<string>"
}
],
"metadata": {},
"inputFileHashes": [
{
"path": "<string>",
"sha256": "<string>"
}
]
},
"status": "pending",
"currentExpectedJson": null,
"fieldDecisions": {},
"inputDrifted": true,
"updatedBy": "<string>",
"updatedAt": "<string>"
}
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}Evaluation
Update dataset review item
Approve, edit, reject, reopen, comment, or record a field-decision on one review item while the parent request is draft, open, or paused. Pass expectedUpdatedAt from the item the client last observed. Pass fieldPath with action: comment or action: field-decision.
PATCH
/
v1
/
automations
/
{id}
/
dataset-review-requests
/
{reviewId}
/
items
/
{itemId}
Update dataset review item
Authorizations
API key issued from Settings → API Keys. Pass as Authorization: Bearer <key>.
Path Parameters
Automation id or typed alias.
Dataset review request id.
Dataset review item id.
Body
application/json
Available options:
approve, edit, reject, reopen, comment, field-decision ISO timestamp of the item updatedAt the client last observed. Required for optimistic concurrency.
Minimum string length:
1Minimum string length:
1Available options:
approved, rejected Response
Updated review item.
Show child attributes
Show child attributes